Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2008 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.axiom.util.helper
Class UtilityHelper

    java.lang.Object
      com.beasys.commerce.axiom.util.helper.UtilityHelper

All Implemented Interfaces
  Serializable

Deprecated See BEA Commerce product offering

    @Deprecated
    public class UtilityHelper

extends Object
implements Serializable

General location for required utility methods, possibly across personalization and portal.

See Also
  Serialized Form

Constructor Summary
`UtilityHelper()` Deprecated See BEA Commerce product offering

Method Summary
`static void` | `checkCampaignServer()` Deprecated See BEA Commerce product offering
`static boolean` | `checkCampaignServerLicense()` Deprecated See BEA Commerce product offering
`static void` | `checkCommerceServer()` Deprecated See BEA Commerce product offering
`static boolean` | `checkCommerceServerLicense()` Deprecated See BEA Commerce product offering
`static void` | `checkPersonalizationServer()` Deprecated See BEA Commerce product offering
`static void` | `checkVersion()` Deprecated

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UtilityHelper

    public UtilityHelper()

  Deprecated See BEA Commerce product offering

Method Detail

### checkPersonalizationServer

    public static final void checkPersonalizationServer()

  Deprecated See BEA Commerce product offering

### checkCommerceServer

    public static final void checkCommerceServer()

  Deprecated See BEA Commerce product offering

### checkCommerceServerLicense

    public static final boolean checkCommerceServerLicense()

  Deprecated See BEA Commerce product offering

### checkCampaignServer

    public static final void checkCampaignServer()

  Deprecated See BEA Commerce product offering

### checkCampaignServerLicense

    public static final boolean checkCampaignServerLicense()

  Deprecated See BEA Commerce product offering

### checkVersion

    public static void checkVersion()

  Deprecated

  Check the version of WebLogic. If it is less than the recommended build within the commerce.properties spit out warnings..

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 BEA Systems, Inc. All Rights Reserved